#include <gtk/gtk.h>

void
umark_message_dialog(gchar* message);


static GtkTreeModel *
create_fill_resultlist(void);


static GtkWidget*
create_model_resultlist(GtkWidget *TVRL);


void
run_benchmark(void);


void
read_results_log(GtkButton *button);


void
write_log(void);

void
write_log_td(void);


void
compare_foreach_pass_one		(GtkTreeModel	*model,
					 GtkTreePath	*path,
					 GtkTreeIter	*iter,
					 gpointer	data);


void
on_spnbots_changed                     (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_maps_changed                        (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_btnbenchmark_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnresults_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnabout_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnquit_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_version_changed                     (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_chkfullscr_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_chkres640_toggled                   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_chkres800_toggled                   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_chkres1024_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_chkres1280_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_chkres1600_toggled                  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_raddtllow_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_raddtlhigh_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_raddtlcurrent_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_raddtlcustom_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnarrow_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnpreset_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnmoveup_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnmovedown_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnadd_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnremove_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnclear_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnloadlist_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnsavelist_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_btncompare_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnsubmit_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnloadlog_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnsavelog_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_btndismissresults_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_radprebm_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_radprefb_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_radpredm_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_radpred4_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_radprede_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_radpreeg_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_radpreu3_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_radpreu4_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_BtnPresetUse_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_BtnPresetAdd_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_BtnPresetCancel_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnMsgOK_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_chkTimeDemo_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnUMarkConf_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnConfCancel_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnConfOK_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_entryIniFile_changed                (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_btnBrowseIni_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_entryIniUser_changed                (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_btnBrowseUser_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnAboutDocs_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnAboutOnline_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnAboutUpdates_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_btnCloseAbout_clicked               (GtkButton       *button,
                                        gpointer         user_data);
